diff -pruN 3.12.0-1/debian/changelog 3.12.1-1/debian/changelog
--- 3.12.0-1/debian/changelog	2020-02-12 20:02:01.000000000 +0000
+++ 3.12.1-1/debian/changelog	2020-03-14 23:01:47.000000000 +0000
@@ -1,3 +1,10 @@
+capistrano (3.12.1-1) unstable; urgency=medium
+
+  * New upstream version 3.12.1
+  * d/NEWS: Add note about partial reversion of changes in 3.12.0
+
+ -- Samuel Henrique <samueloph@debian.org>  Sat, 14 Mar 2020 23:01:47 +0000
+
 capistrano (3.12.0-1) unstable; urgency=medium
 
   * New upstream version 3.12.0
diff -pruN 3.12.0-1/debian/NEWS 3.12.1-1/debian/NEWS
--- 3.12.0-1/debian/NEWS	2020-02-12 20:02:01.000000000 +0000
+++ 3.12.1-1/debian/NEWS	2020-03-14 23:01:47.000000000 +0000
@@ -1,3 +1,28 @@
+capistrano (3.12.1-1) unstable; urgency=medium
+
+  Upstream reverted the change to the variable git_wait_interval introduced in
+  3.12.0, the default is now back to 0, so the only variable that needs to be
+  changed to keep the old behavior overall is git_max_concurrent_connections,
+  that can be accomplished by changing it to a number high enough (higher than
+  the amount of servers to be deployed).
+
+  The default values for the variables are:
+
+  :git_max_concurrent_connections
+    default: 10
+    Number of concurrent connections to Git repository - useful when your Git
+    server limits the number of simultaneous connections while using SSH (like
+    Gitlab CE).
+
+  :git_wait_interval
+    default: 0
+    Number of seconds to wait after you reach the limit of concurrent
+    connections to Git repository server and disconnect afterwards to initialize
+    new connections. This prevents from being cut out of SSH server when you use
+    fail2ban or similar software for limiting connections to server.
+
+ -- Samuel Henrique <samueloph@debian.org>  Sat, 14 Mar 2020 23:01:47 +0000
+
 capistrano (3.12.0-1) unstable; urgency=medium
 
   Capistrano now defaults to limiting the number of concurrent git connections
diff -pruN 3.12.0-1/lib/capistrano/scm/git.rb 3.12.1-1/lib/capistrano/scm/git.rb
--- 3.12.0-1/lib/capistrano/scm/git.rb	2020-02-12 19:31:00.000000000 +0000
+++ 3.12.1-1/lib/capistrano/scm/git.rb	2020-03-14 22:53:57.000000000 +0000
@@ -19,7 +19,7 @@ class Capistrano::SCM::Git < Capistrano:
       }
     }
     set_if_empty :git_max_concurrent_connections, 10
-    set_if_empty :git_wait_interval, 3
+    set_if_empty :git_wait_interval, 0
   end
 
   def register_hooks
diff -pruN 3.12.0-1/lib/capistrano/templates/stage.rb.erb 3.12.1-1/lib/capistrano/templates/stage.rb.erb
--- 3.12.0-1/lib/capistrano/templates/stage.rb.erb	2020-02-12 19:31:00.000000000 +0000
+++ 3.12.1-1/lib/capistrano/templates/stage.rb.erb	2020-03-14 22:53:57.000000000 +0000
@@ -42,7 +42,7 @@
 # Global options
 # --------------
 #  set :ssh_options, {
-#    keys: %w(/home/rlisowski/.ssh/id_rsa),
+#    keys: %w(/home/user_name/.ssh/id_rsa),
 #    forward_agent: false,
 #    auth_methods: %w(password)
 #  }
diff -pruN 3.12.0-1/lib/capistrano/version.rb 3.12.1-1/lib/capistrano/version.rb
--- 3.12.0-1/lib/capistrano/version.rb	2020-02-12 19:31:00.000000000 +0000
+++ 3.12.1-1/lib/capistrano/version.rb	2020-03-14 22:53:57.000000000 +0000
@@ -1,3 +1,3 @@
 module Capistrano
-  VERSION = "3.12.0".freeze
+  VERSION = "3.12.1".freeze
 end
diff -pruN 3.12.0-1/spec/lib/capistrano/scm/git_spec.rb 3.12.1-1/spec/lib/capistrano/scm/git_spec.rb
--- 3.12.0-1/spec/lib/capistrano/scm/git_spec.rb	2020-02-12 19:31:00.000000000 +0000
+++ 3.12.1-1/spec/lib/capistrano/scm/git_spec.rb	2020-03-14 22:53:57.000000000 +0000
@@ -46,7 +46,7 @@ module Capistrano
 
       it "makes git_wait_interval" do
         subject.set_defaults
-        expect(env.fetch(:git_wait_interval)).to eq(3)
+        expect(env.fetch(:git_wait_interval)).to eq(0)
         env.set(:git_wait_interval, 5)
         expect(env.fetch(:git_wait_interval)).to eq(5)
       end
